Index: branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/nam_tide
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/nam_tide	(revision 3854)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/nam_tide	(revision 3989)
@@ -1,13 +1,7 @@
 !-----------------------------------------------------------------------
-!       nam_tide       tide parameters (#ifdef key_tide)
+&nam_tide      !   tide parameters (#ifdef key_tide)
 !-----------------------------------------------------------------------
-!  ln_tide_pot    = use tidal potential forcing
-!  nb_harmo    = number of constituents used
-!  name(1)     = 'M2', 'K1', etc name of constituent
-
-&nam_tide
-   ln_tide_pot           = .true.
-   nb_harmo    = 11
-   clname(1)     =   'M2'
+   ln_tide_pot   = .true.   !  use tidal potential forcing
+   clname(1)     =   'M2'   !  name of constituent
    clname(2)     =   'S2'
    clname(3)     =   'N2'
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namasm
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namasm	(revision 3854)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namasm	(revision 3989)
@@ -2,8 +2,8 @@
 &nam_asminc   !   assimilation increments                               ('key_asminc')
 !-----------------------------------------------------------------------
-    ln_bkgwri = .false.    !  Logical switch for writing out background state 
+    ln_bkgwri = .false.    !  Logical switch for writing out background state
     ln_trainc = .false.    !  Logical switch for applying tracer increments
     ln_dyninc = .false.    !  Logical switch for applying velocity increments
-    ln_sshinc = .false.    !  Logical switch for applying SSH increments 
+    ln_sshinc = .false.    !  Logical switch for applying SSH increments
     ln_asmdin = .false.    !  Logical switch for Direct Initialization (DI)
     ln_asmiau = .false.    !  Logical switch for Incremental Analysis Updating (IAU)
@@ -15,4 +15,4 @@
     ln_salfix = .false.    !  Logical switch for ensuring that the sa > salfixmin
     salfixmin = -9999      !  Minimum salinity after applying the increments
-    ndivdmp   = 0          !  Number of iterations of divergence damping operator
+    nn_divdmp = 0          !  Number of iterations of divergence damping operator
 /
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/nambdy
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/nambdy	(revision 3854)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/nambdy	(revision 3989)
@@ -2,22 +2,22 @@
 &nambdy        !  unstructured open boundaries                          ("key_bdy")
 !-----------------------------------------------------------------------
-    nb_bdy = 2                               !  number of open boundary sets       
-    ln_coords_file = .true.,.false.          !  =T : read bdy coordinates from file
-    cn_coords_file = 'coordinates.bdy.nc','' !  bdy coordinates files
-    ln_mask_file = .false.                   !  =T : read mask from file
-    cn_mask_file = ''                        !  name of mask file (if ln_mask_file=.TRUE.)
-    nn_dyn2d      =  2, 0                    !  boundary conditions for barotropic fields
-    nn_dyn2d_dta  =  3, 0                    !  = 0, bdy data are equal to the initial state
-                                             !  = 1, bdy data are read in 'bdydata   .nc' files
-                                             !  = 2, use tidal harmonic forcing data from files
-                                             !  = 3, use external data AND tidal harmonic forcing
-    nn_dyn3d      =  0, 0                    !  boundary conditions for baroclinic velocities
-    nn_dyn3d_dta  =  0, 0                    !  = 0, bdy data are equal to the initial state
-                                             !  = 1, bdy data are read in 'bdydata   .nc' files
-    nn_tra        =  1, 1                    !  boundary conditions for T and S
-    nn_tra_dta    =  1, 1                    !  = 0, bdy data are equal to the initial state
-                                             !  = 1, bdy data are read in 'bdydata   .nc' files
-    nn_rimwidth  = 10, 5                     !  width of the relaxation zone
-    ln_vol     = .false.                     !  total volume correction (see nn_volctl parameter)
-    nn_volctl  = 1                           !  = 0, the total water flux across open boundaries is zero
+    nb_bdy = 1                            !  number of open boundary sets
+    ln_coords_file = .true.               !  =T : read bdy coordinates from file
+    cn_coords_file = 'coordinates.bdy.nc' !  bdy coordinates files
+    ln_mask_file = .false.                !  =T : read mask from file
+    cn_mask_file = ''                     !  name of mask file (if ln_mask_file=.TRUE.)
+    nn_dyn2d      =  2                    !  boundary conditions for barotropic fields
+    nn_dyn2d_dta  =  3                    !  = 0, bdy data are equal to the initial state
+                                          !  = 1, bdy data are read in 'bdydata   .nc' files
+                                          !  = 2, use tidal harmonic forcing data from files
+                                          !  = 3, use external data AND tidal harmonic forcing
+    nn_dyn3d      =  0                    !  boundary conditions for baroclinic velocities
+    nn_dyn3d_dta  =  0                    !  = 0, bdy data are equal to the initial state
+                           !  = 1, bdy data are read in 'bdydata   .nc' files
+    nn_tra        =  1                    !  boundary conditions for T and S
+    nn_tra_dta    =  1                    !  = 0, bdy data are equal to the initial state
+                           !  = 1, bdy data are read in 'bdydata   .nc' files
+    nn_rimwidth  = 10                      !  width of the relaxation zone
+    ln_vol     = .false.                  !  total volume correction (see nn_volctl parameter)
+    nn_volctl  = 1                        !  = 0, the total water flux across open boundaries is zero
 /
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/nambdy_tide
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/nambdy_tide	(revision 3854)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/nambdy_tide	(revision 3989)
@@ -1,36 +1,7 @@
 !-----------------------------------------------------------------------
-&nambdy_tide     ! tidal forcing at open boundaries              
+&nambdy_tide     ! tidal forcing at open boundaries
 !-----------------------------------------------------------------------
-   filtide      = 'bdydta/amm12_bdytide_'         !  file name root of tidal forcing files
-    tide_cpt(1)   ='Q1'  !  names of tidal components used
-    tide_cpt(2)   ='O1'  !  names of tidal components used
-    tide_cpt(3)   ='P1'  !  names of tidal components used
-    tide_cpt(4)   ='S1'  !  names of tidal components used
-    tide_cpt(5)   ='K1'  !  names of tidal components used
-    tide_cpt(6)   ='2N2' !  names of tidal components used
-    tide_cpt(7)   ='MU2' !  names of tidal components used
-    tide_cpt(8)   ='N2'  !  names of tidal components used
-    tide_cpt(9)   ='NU2' !  names of tidal components used
-    tide_cpt(10)   ='M2'  !  names of tidal components used
-    tide_cpt(11)   ='L2'  !  names of tidal components used
-    tide_cpt(12)   ='T2'  !  names of tidal components used
-    tide_cpt(13)   ='S2'  !  names of tidal components used
-    tide_cpt(14)   ='K2'  !  names of tidal components used
-    tide_cpt(15)   ='M4'  !  names of tidal components used
-    tide_speed(1)   = 13.398661 !  phase speeds of tidal components (deg/hour)
-    tide_speed(2)   = 13.943036 !  phase speeds of tidal components (deg/hour)
-    tide_speed(3)   = 14.958932 !  phase speeds of tidal components (deg/hour)
-    tide_speed(4)   = 15.000001 !  phase speeds of tidal components (deg/hour)
-    tide_speed(5)   = 15.041069 !  phase speeds of tidal components (deg/hour)
-    tide_speed(6)   = 27.895355 !  phase speeds of tidal components (deg/hour)
-    tide_speed(7)   = 27.968210 !  phase speeds of tidal components (deg/hour)
-    tide_speed(8)   = 28.439730 !  phase speeds of tidal components (deg/hour)
-    tide_speed(9)   = 28.512585 !  phase speeds of tidal components (deg/hour)
-    tide_speed(10)   = 28.984106 !  phase speeds of tidal components (deg/hour)
-    tide_speed(11)   = 29.528479 !  phase speeds of tidal components (deg/hour)
-    tide_speed(12)   = 29.958935 !  phase speeds of tidal components (deg/hour)
-    tide_speed(13)   = 30.000002 !  phase speeds of tidal components (deg/hour)
-    tide_speed(14)   = 30.082138 !  phase speeds of tidal components (deg/hour)
-    tide_speed(15)   = 57.968212 !  phase speeds of tidal components (deg/hour)
-    ln_tide_date = .true.               !  adjust tidal harmonics for start date of run
+   filtide          = 'bdydta/amm12_bdytide_'         !  file name root of tidal forcing files
+   ln_bdytide_2ddta = .false.
+   ln_bdytide_conj  = .false.
 /
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namberg
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namberg	(revision 3854)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namberg	(revision 3989)
@@ -2,14 +2,17 @@
 &namberg       !   iceberg parameters
 !-----------------------------------------------------------------------
-      ln_icebergs              = .true.
+      ln_icebergs              = .false.
       ln_bergdia               = .true.               ! Calculate budgets
       nn_verbose_level         = 1                    ! Turn on more verbose output if level > 0
       nn_verbose_write         = 15                   ! Timesteps between verbose messages
       nn_sample_rate           = 1                    ! Timesteps between sampling for trajectory storage
+                                                      ! Initial mass required for an iceberg of each class
       rn_initial_mass          = 8.8e7, 4.1e8, 3.3e9, 1.8e10, 3.8e10, 7.5e10, 1.2e11, 2.2e11, 3.9e11, 7.4e11
+                                                      ! Proportion of calving mass to apportion to each class  
       rn_distribution          = 0.24, 0.12, 0.15, 0.18, 0.12, 0.07, 0.03, 0.03, 0.03, 0.02
                                                       ! Ratio between effective and real iceberg mass (non-dim)
+                                                      ! i.e. number of icebergs represented at a point         
       rn_mass_scaling          = 2000, 200, 50, 20, 10, 5, 2, 1, 1, 1
-                                                      ! Total thickness of newly calved bergs (m)
+                                                      ! thickness of newly calved bergs (m)
       rn_initial_thickness     = 40., 67., 133., 175., 250., 250., 250., 250., 250., 250.
       rn_rho_bergs             = 850.                 ! Density of icebergs
@@ -18,13 +21,14 @@
       rn_bits_erosion_fraction = 0.                   ! Fraction of erosion melt flux to divert to bergy bits
       rn_sicn_shift            = 0.                   ! Shift of sea-ice concn in erosion flux (0<sicn_shift<1)
-      ln_passive_mode          = .false.              ! iceberg - ocean decoupling
-      nn_test_icebergs         =  10                  ! Create icebergs in absence of a calving file (-1 = no)
-      rn_test_box              = -61.0,  -55.0,  59.0,  65.0
-      rn_speed_limit           = 0.                   ! CFL speed limit for a berg
+      ln_passive_mode          = .false.              ! iceberg - ocean decoupling   
+      nn_test_icebergs         =  10                  ! Create test icebergs of this class (-1 = no)
+                                                      ! Put a test iceberg at each gridpoint in box (lon1,lon2,lat1,lat2)
+      rn_test_box              = 108.0,  116.0, -66.0, -58.0
+      rn_speed_limit           = 0.                   ! CFL speed limit for a berg   
 
                ! filename ! freq (hours) ! variable ! time interp. ! clim  !'yearly' or ! weights  ! rotation !
                !          ! (<0  months) !   name   !  (logical)   ! (T/F) ! 'monthly'  ! filename ! pairing  !
       sn_icb =  'calving' ,     -1       , 'calvingmask',  .true.      , .true., 'yearly'   , ' '      , ' '
-
-      cn_dir = './'
+   
+      cn_dir = './' 
 /
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/nambfr
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/nambfr	(revision 3854)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/nambfr	(revision 3989)
@@ -7,6 +7,7 @@
    rn_bfri2    =    1.e-3  !  bottom drag coefficient (non linear case)
    rn_bfeb2    =    2.5e-3 !  bottom turbulent kinetic energy background  (m2/s2)
+   rn_bfrz0    =    3.e-3  ! bottom roughness for loglayer bfr coeff 
    ln_bfr2d    = .false.   !  horizontal variation of the bottom friction coef (read a 2D mask file )
    rn_bfrien   =    50.    !  local multiplying factor of bfr (ln_bfr2d=T)
-   ln_bfrimp   = .false.   !  implicit bottom friction (requires ln_zdfexp = .false. if true)
+   ln_bfrimp   = .true.    !  implicit bottom friction (requires ln_zdfexp = .false. if true)
 /
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namctl
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namctl	(revision 3854)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namctl	(revision 3989)
@@ -12,3 +12,4 @@
    nn_bench    =    0      !  Bench mode (1/0): CAUTION use zero except for bench
                            !     (no physical validity of the results)
+   nn_timing   =    0      !  timing by routine activated (=1) creates timing.output file, or not (=0)
 /
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namdct
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namdct	(revision 3854)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namdct	(revision 3989)
@@ -4,5 +4,5 @@
     nn_dct      = 15       !  time step frequency for transports computing
     nn_dctwri   = 15       !  time step frequency for transports writing
-    nn_secdebug =  0       !      0 : no section to debug
+    nn_secdebug = 112      !      0 : no section to debug
                            !     -1 : debug all section
                            !  0 < n : debug section number n
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namdia_harm
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namdia_harm	(revision 3854)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namdia_harm	(revision 3989)
@@ -2,8 +2,8 @@
 &nam_diaharm   !   Harmonic analysis of tidal constituents ('key_diaharm')
 !-----------------------------------------------------------------------
-    nit000_han=1           ! First time step used for harmonic analysis
-    nitend_han=105         ! Last time step used for harmonic analysis
-    nstep_han=1            ! Time step frequency for harmonic analysis
-    nb_ana=1               ! Number of harmonics to analyse
-    tname(1)='M2'          ! Name of tidal constituents
+    nit000_han = 1         ! First time step used for harmonic analysis
+    nitend_han = 75        ! Last time step used for harmonic analysis
+    nstep_han  = 15        ! Time step frequency for harmonic analysis
+    tname(1)   = 'M2'      ! Name of tidal constituents
+    tname(2)   = 'K1'
 /
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namdyn_hpg
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namdyn_hpg	(revision 3854)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namdyn_hpg	(revision 3989)
@@ -2,5 +2,5 @@
 &namdyn_hpg    !   Hydrostatic pressure gradient option
 !-----------------------------------------------------------------------
-   ln_hpg_zco  = .false.   !  z-coordinate - full steps                   
+   ln_hpg_zco  = .false.   !  z-coordinate - full steps
    ln_hpg_zps  = .true.    !  z-coordinate - partial steps (interpolation)
    ln_hpg_sco  = .false.   !  s-coordinate (standard jacobian formulation)
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namdyn_ldf
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namdyn_ldf	(revision 3854)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namdyn_ldf	(revision 3989)
@@ -2,9 +2,9 @@
 &namdyn_ldf    !   lateral diffusion on momentum
 !-----------------------------------------------------------------------
-   !                       !  Type of the operator : 
-   ln_dynldf_lap    =  .true.   !  laplacian operator         
-   ln_dynldf_bilap  =  .false.  !  bilaplacian operator    
-   !                       !  Direction of action  : 
-   ln_dynldf_level  =  .false.  !  iso-level               
+   !                       !  Type of the operator :
+   ln_dynldf_lap    =  .true.   !  laplacian operator
+   ln_dynldf_bilap  =  .false.  !  bilaplacian operator
+   !                       !  Direction of action  :
+   ln_dynldf_level  =  .false.  !  iso-level
    ln_dynldf_hor    =  .true.   !  horizontal (geopotential)            (require "key_ldfslp" in s-coord.)
    ln_dynldf_iso    =  .false.  !  iso-neutral                          (require "key_ldfslp")
@@ -12,4 +12,9 @@
    rn_ahm_0_lap     = 40000.    !  horizontal laplacian eddy viscosity   [m2/s]
    rn_ahmb_0        =     0.    !  background eddy viscosity for ldf_iso [m2/s]
-   rn_ahm_0_blp     =     0.    !  horizontal bilaplacian eddy viscosity [m4/s] 
+   rn_ahm_0_blp     =     0.    !  horizontal bilaplacian eddy viscosity [m4/s]
+   rn_cmsmag_1      =     3.    !  constant in laplacian Smagorinsky viscosity
+   rn_cmsmag_2      =     3     !  constant in bilaplacian Smagorinsky viscosity
+   rn_cmsh          =     1.    !  1 or 0 , if 0 -use only shear for Smagorinsky viscosity
+   rn_ahm_m_blp     =    -1.e12 !  upper limit for bilap  abs(ahm) < min( dx^4/128rdt, rn_ahm_m_blp)
+   rn_ahm_m_lap     = 40000.    !  upper limit for lap  ahm < min(dx^2/16rdt, rn_ahm_m_lap)
 /
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namdyn_nept
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namdyn_nept	(revision 3854)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namdyn_nept	(revision 3989)
@@ -1,4 +1,4 @@
 !-----------------------------------------------------------------------
-&nam_dynnept  !   Neptune effect (simplified: lateral and vertical diffusions removed)
+&namdyn_nept  !   Neptune effect (simplified: lateral and vertical diffusions removed)
 !-----------------------------------------------------------------------
    ! Suggested lengthscale values are those of Eby & Holloway (1994) for a coarse model
@@ -10,5 +10,5 @@
    ! Specify whether to ramp down the Neptune velocity in shallow
    ! water, and if so the depth range controlling such ramping down
-   ln_neptramp       = .false.  ! ramp down Neptune velocity in shallow water
+   ln_neptramp       = .true.   ! ramp down Neptune velocity in shallow water
    rn_htrmin         =  100.0   ! min. depth of transition range
    rn_htrmax         =  200.0   ! max. depth of transition range
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namdyn_vor
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namdyn_vor	(revision 3854)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namdyn_vor	(revision 3989)
@@ -2,8 +2,7 @@
 &namdyn_vor    !   option of physics/algorithm (not control by CPP keys)
 !-----------------------------------------------------------------------
-   ln_dynvor_ene = .false. !  energy    conserving scheme  
-   ln_dynvor_ens = .false. !  enstrophy conserving scheme    
-   ln_dynvor_mix = .false. !  mixed scheme               
-   ln_dynvor_een = .true.  !  energy & enstrophy scheme  
-   ln_dynvor_con = .false. !  consistency of BC with analytical eqs.
+   ln_dynvor_ene = .false. !  enstrophy conserving scheme
+   ln_dynvor_ens = .false. !  energy conserving scheme
+   ln_dynvor_mix = .false. !  mixed scheme
+   ln_dynvor_een = .true.  !  energy & enstrophy scheme
 /
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namflo
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namflo	(revision 3854)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namflo	(revision 3989)
@@ -2,13 +2,13 @@
 &namflo       !   float parameters                                      ("key_float")
 !-----------------------------------------------------------------------
-   jpnfl      = 1          !  total number of floats during the run
-   jpnnewflo  = 0          !  number of floats for the restart
-   ln_rstflo  = .false.    !  float restart (T) or not (F)
-   nn_writefl =      75    !  frequency of writing in float output file 
-   nn_stockfl =    5475    !  frequency of creation of the float restart file 
-   ln_argo    = .false.    !  Argo type floats (stay at the surface each 10 days)
-   ln_flork4  = .false.    !  trajectories computed with a 4th order Runge-Kutta (T)
-                           !  or computed with Blanke' scheme (F)
-   ln_ariane  = .true.     !  Input with Ariane tool convention(T)
-   ln_ascii   = .true.     !  Output with Ariane tool netcdf convention(T) or ascii file (F)
+   jpnfl         = 1          !  total number of floats during the run
+   jpnnewflo     = 0          !  number of floats for the restart
+   ln_rstflo     = .false.    !  float restart (T) or not (F)
+   nn_writefl    =      75    !  frequency of writing in float output file
+   nn_stockfl    =    5475    !  frequency of creation of the float restart file
+   ln_argo       = .false.    !  Argo type floats (stay at the surface each 10 days)
+   ln_flork4     = .false.    !  trajectories computed with a 4th order Runge-Kutta (T)
+                              !  or computed with Blanke' scheme (F)
+   ln_ariane     = .true.     !  Input with Ariane tool convention(T)
+   ln_flo_ascii  = .true.     !  Output with Ariane tool netcdf convention(F) or ascii file (T)
 /
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namlbc
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namlbc	(revision 3854)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namlbc	(revision 3989)
@@ -4,3 +4,4 @@
    rn_shlat    =    2.     !  shlat = 0  !  0 < shlat < 2  !  shlat = 2  !  2 < shlat
                            !  free slip  !   partial slip  !   no slip   ! strong slip
+   ln_vorlat   = .false.   !  consistency of vorticity boundary condition with analytical eqs.
 /
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/nammpp
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/nammpp	(revision 3854)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/nammpp	(revision 3989)
@@ -5,3 +5,7 @@
                            !  buffer blocking send or immediate non-blocking sends, resp.
    nn_buffer   =   0       !  size in bytes of exported buffer ('B' case), 0 no exportation
+   ln_nnogather=  .false.  !  activate code to avoid mpi_allgather use at the northfold
+   jpni        =   0       !  jpni   number of processors following i (set automatically if < 1)
+   jpnj        =   0       !  jpnj   number of processors following j (set automatically if < 1)
+   jpnij       =   0       !  jpnij  number of local domains (set automatically if < 1)
 /
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namobc
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namobc	(revision 3854)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namobc	(revision 3989)
@@ -4,5 +4,5 @@
    ln_obc_clim = .false.   !  climatological obc data files (T) or not (F)
    ln_vol_cst  = .true.    !  impose the total volume conservation (T) or not (F)
-   ln_obc_fla  = .false.   !  Flather open boundary condition 
+   ln_obc_fla  = .false.   !  Flather open boundary condition
    nn_obcdta   =    1      !  = 0 the obc data are equal to the initial state
                            !  = 1 the obc data are read in 'obc.dta' files
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namobs
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namobs	(revision 3854)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namobs	(revision 3989)
@@ -2,62 +2,62 @@
 &namobs       !  observation usage switch                               ('key_diaobs')
 !-----------------------------------------------------------------------
-   ln_t3d     = .false.    ! Logical switch for T profile observations         
-   ln_s3d     = .false.    ! Logical switch for S profile observations          
-   ln_ena     = .false.    ! Logical switch for ENACT insitu data set           
-   !                       !     ln_cor                  Logical switch for Coriolis insitu data set       
-   ln_profb   = .false.    ! Logical switch for feedback insitu data set     
-   ln_sla     = .false.    ! Logical switch for SLA observations               
+   ln_t3d     = .false.    ! Logical switch for T profile observations
+   ln_s3d     = .false.    ! Logical switch for S profile observations
+   ln_ena     = .false.    ! Logical switch for ENACT insitu data set
+   !                       !     ln_cor                  Logical switch for Coriolis insitu data set
+   ln_profb   = .false.    ! Logical switch for feedback insitu data set
+   ln_sla     = .false.    ! Logical switch for SLA observations
 
-   ln_sladt   = .false.    ! Logical switch for AVISO SLA data              
+   ln_sladt   = .false.    ! Logical switch for AVISO SLA data
 
-   ln_slafb   = .false.    ! Logical switch for feedback SLA data            
-                           !     ln_ssh                  Logical switch for SSH observations              
+   ln_slafb   = .false.    ! Logical switch for feedback SLA data
+                           !     ln_ssh                  Logical switch for SSH observations
 
-   ln_sst     = .false.    ! Logical switch for SST observations              
-                           !     ln_reysst               Logical switch for Reynolds observations       
-                           !     ln_ghrsst               Logical switch for GHRSST observations          
+   ln_sst     = .true.     ! Logical switch for SST observations
+   ln_reysst  = .true.     !     ln_reysst               Logical switch for Reynolds observations
+   ln_ghrsst  = .false.    !     ln_ghrsst               Logical switch for GHRSST observations      
 
-   ln_sstfb   = .false.    ! Logical switch for feedback SST data          
-                           !     ln_sss                  Logical switch for SSS observations              
-                           !     ln_seaice               Logical switch for Sea Ice observations        
-                           !     ln_vel3d                Logical switch for velocity observations         
-                           !     ln_velavcur             Logical switch for velocity daily av. cur.    
-                           !     ln_velhrcur             Logical switch for velocity high freq. cur.   
-                           !     ln_velavadcp            Logical switch for velocity daily av. ADCP  
+   ln_sstfb   = .false.    ! Logical switch for feedback SST data
+                           !     ln_sss                  Logical switch for SSS observations
+                           !     ln_seaice               Logical switch for Sea Ice observations
+                           !     ln_vel3d                Logical switch for velocity observations
+                           !     ln_velavcur             Logical switch for velocity daily av. cur.
+                           !     ln_velhrcur             Logical switch for velocity high freq. cur.
+                           !     ln_velavadcp            Logical switch for velocity daily av. ADCP
                            !     ln_velhradcp            Logical switch for velocity high freq. ADCP
-                           !     ln_velfb                Logical switch for feedback velocity data       
-                           !     ln_grid_global          Global distribtion of observations         
-                           !     ln_grid_search_lookup   Logical switch for obs grid search w/lookup table  
-                           !     grid_search_file        Grid search lookup file header 
-                           !     enactfiles              ENACT input observation file names 
-                           !     coriofiles              Coriolis input observation file name  
-   !                       ! profbfiles: Profile feedback input observation file name 
+                           !     ln_velfb                Logical switch for feedback velocity data
+                           !     ln_grid_global          Global distribtion of observations
+                           !     ln_grid_search_lookup   Logical switch for obs grid search w/lookup table
+                           !     grid_search_file        Grid search lookup file header
+                           !     enactfiles              ENACT input observation file names
+                           !     coriofiles              Coriolis input observation file name
+   !                       ! profbfiles: Profile feedback input observation file name
    profbfiles = 'profiles_01.nc'
-                           !     ln_profb_enatim         Enact feedback input time setting switch    
+                           !     ln_profb_enatim         Enact feedback input time setting switch
                            !     slafilesact             Active SLA input observation file name
-                           !     slafilespas             Passive SLA input observation file name 
-   !                       ! slafbfiles: Feedback SLA input observation file name 
+                           !     slafilespas             Passive SLA input observation file name
+   !                       ! slafbfiles: Feedback SLA input observation file name
    slafbfiles = 'sla_01.nc'
-                           !     sstfiles                GHRSST input observation file name       
-   !                       ! sstfbfiles: Feedback SST input observation file name 
+                           !     sstfiles                GHRSST input observation file name
+   !                       ! sstfbfiles: Feedback SST input observation file name
    sstfbfiles = 'sst_01.nc' 'sst_02.nc' 'sst_03.nc' 'sst_04.nc' 'sst_05.nc'
-                           !     seaicefiles             Sea Ice input observation file name 
-                           !     velavcurfiles           Vel. cur. daily av. input file name  
-                           !     velhvcurfiles           Vel. cur. high freq. input file name  
-                           !     velavadcpfiles          Vel. ADCP daily av. input file name    
-                           !     velhvadcpfiles          Vel. ADCP high freq. input file name 
-                           !     velfbfiles              Vel. feedback input observation file name 
-                           !     dobsini                 Initial date in window YYYYMMDD.HHMMSS       
-                           !     dobsend                 Final date in window YYYYMMDD.HHMMSS         
-                           !     n1dint                  Type of vertical interpolation method        
-                           !     n2dint                  Type of horizontal interpolation method       
-                           !     ln_nea                  Rejection of observations near land switch    
-   nmsshc     = 0          ! MSSH correction scheme                         
-                           !     mdtcorr                 MDT  correction                               
-                           !     mdtcutoff               MDT cutoff for computed correction          
-   ln_altbias = .false.    ! Logical switch for alt bias                
-   ln_ignmis  = .true.     ! Logical switch for ignoring missing files   
-                           !     endailyavtypes   ENACT daily average types                    
+                           !     seaicefiles             Sea Ice input observation file name
+                           !     velavcurfiles           Vel. cur. daily av. input file name
+                           !     velhvcurfiles           Vel. cur. high freq. input file name
+                           !     velavadcpfiles          Vel. ADCP daily av. input file name
+                           !     velhvadcpfiles          Vel. ADCP high freq. input file name
+                           !     velfbfiles              Vel. feedback input observation file name
+                           !     dobsini                 Initial date in window YYYYMMDD.HHMMSS
+                           !     dobsend                 Final date in window YYYYMMDD.HHMMSS
+                           !     n1dint                  Type of vertical interpolation method
+                           !     n2dint                  Type of horizontal interpolation method
+                           !     ln_nea                  Rejection of observations near land switch
+   nmsshc     = 0          ! MSSH correction scheme
+                           !     mdtcorr                 MDT  correction
+                           !     mdtcutoff               MDT cutoff for computed correction
+   ln_altbias = .false.    ! Logical switch for alt bias
+   ln_ignmis  = .true.     ! Logical switch for ignoring missing files
+                           !     endailyavtypes   ENACT daily average types
    ln_grid_global = .true.
    ln_grid_search_lookup = .false.
-/ 
+/
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namptr
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namptr	(revision 3854)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namptr	(revision 3989)
@@ -4,5 +4,5 @@
    ln_diaptr  = .false.    !  Poleward heat and salt transport (T) or not (F)
    ln_diaznl  = .true.     !  Add zonal means and meridional stream functions
-   ln_subbas  = .true.     !  Atlantic/Pacific/Indian basins computation (T) or not 
+   ln_subbas  = .true.     !  Atlantic/Pacific/Indian basins computation (T) or not
                            !  (orca configuration only, need input basins mask file named "subbasins.nc"
    ln_ptrcomp = .true.     !  Add decomposition : overturning
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namrun
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namrun	(revision 3854)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namrun	(revision 3989)
@@ -3,15 +3,14 @@
 !-----------------------------------------------------------------------
    nn_no       =       0   !  job number (no more used...)
-   cn_exp      =  "ORCA2"  !  experience name 
+   cn_exp      =  "ORCA2"  !  experience name
    nn_it000    =       1   !  first time step
    nn_itend    =    5475   !  last  time step (std 5475)
-   nn_date0    =  010101   !  date at nit_0000 (format yyyymmdd)
-                           !  used if ln_rstart=F or (ln_rstart=T and nn_rstctl=0 or 1)
+   nn_date0    =  010101   !  date at nit_0000 (format yyyymmdd) used if ln_rstart=F or (ln_rstart=T and nn_rstctl=0 or 1)
    nn_leapy    =       0   !  Leap year calendar (1) or not (0)
    ln_rstart   = .false.   !  start from rest (F) or from a restart file (T)
    nn_rstctl   =       0   !  restart control => activated only if ln_rstart = T
-       !  = 0 nn_date0 read in namelist ; nn_it000 : read in namelist
-       !  = 1 nn_date0 read in namelist ; nn_it000 : check consistancy between namelist and restart
-       !  = 2 nn_date0 read in restart  ; nn_it000 : check consistancy between namelist and restart
+                           !    = 0 nn_date0 read in namelist ; nn_it000 : read in namelist
+                           !    = 1 nn_date0 read in namelist ; nn_it000 : check consistancy between namelist and restart
+                           !    = 2 nn_date0 read in restart  ; nn_it000 : check consistancy between namelist and restart
    cn_ocerst_in  = "restart"   !  suffix of ocean restart name (input)
    cn_ocerst_out = "restart"   !  suffix of ocean restart name (output)
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namsbc
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namsbc	(revision 3854)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namsbc	(revision 3989)
@@ -2,10 +2,10 @@
 &namsbc        !   Surface Boundary Condition (surface module)
 !-----------------------------------------------------------------------
-   nn_fsbc     = 5         !  frequency of surface boundary condition computation 
+   nn_fsbc     = 5         !  frequency of surface boundary condition computation
                            !     (also = the frequency of sea-ice model call)
-   ln_ana      = .false.   !  analytical formulation                    (T => fill namsbc_ana ) 
+   ln_ana      = .false.   !  analytical formulation                    (T => fill namsbc_ana )
    ln_flx      = .false.   !  flux formulation                          (T => fill namsbc_flx )
-   ln_blk_clio = .false.   !  CLIO bulk formulation                     (T => fill namsbc_clio) 
-   ln_blk_core = .true.    !  CORE bulk formulation                     (T => fill namsbc_core) 
+   ln_blk_clio = .false.   !  CLIO bulk formulation                     (T => fill namsbc_clio)
+   ln_blk_core = .true.    !  CORE bulk formulation                     (T => fill namsbc_core)
    ln_blk_mfs  = .false.   !  MFS bulk formulation                      (T => fill namsbc_mfs )
    ln_cpl      = .false.   !  Coupled formulation                       (T => fill namsbc_cpl )
@@ -14,11 +14,16 @@
                            !  =1 use observed ice-cover      ,
                            !  =2 ice-model used                         ("key_lim3" or "key_lim2)
+   nn_ice_embd = 0         !  =0 levitating ice (no mass exchange, concentration/dilution effect)
+                           !  =1 levitating ice with mass and salt exchange but no presure effect
+                           !  =2 embedded sea-ice (full salt and mass exchanges and pressure)
    ln_dm2dc    = .false.   !  daily mean to diurnal cycle on short wave
    ln_rnf      = .true.    !  runoffs                                   (T => fill namsbc_rnf)
    ln_ssr      = .true.    !  Sea Surface Restoring on T and/or S       (T => fill namsbc_ssr)
-   nn_fwb      = 3         !  FreshWater Budget: =0 unchecked 
-                           !     =1 global mean of e-p-r set to zero at each time step 
+   nn_fwb      = 3         !  FreshWater Budget: =0 unchecked
+                           !     =1 global mean of e-p-r set to zero at each time step
                            !     =2 annual global mean of e-p-r set to zero
                            !     =3 global emp set to zero and spread out over erp area
+   ln_wave = .false.       !  Activate coupling with wave (either Stokes Drift or Drag coefficient, or both)  (T => fill namsbc_wave)
    ln_cdgw = .false.       !  Neutral drag coefficient read from wave model (T => fill namsbc_wave)
+   ln_sdw  = .false.       !  Computation of 3D stokes drift                (T => fill namsbc_wave)
 /
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namsbc_alb
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namsbc_alb	(revision 3854)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namsbc_alb	(revision 3989)
@@ -2,8 +2,8 @@
 &namsbc_alb    !   albedo parameters
 !-----------------------------------------------------------------------
-   rn_cloud    =    0.06   !  cloud correction to snow and ice albedo 
+   rn_cloud    =    0.06   !  cloud correction to snow and ice albedo
    rn_albice   =    0.53   !  albedo of melting ice in the arctic and antarctic
    rn_alphd    =    0.80   !  coefficients for linear interpolation used to
-   rn_alphc    =    0.65   !  compute albedo between two extremes values 
+   rn_alphc    =    0.65   !  compute albedo between two extremes values
    rn_alphdi   =    0.72   !  (Pyane, 1972)
 /
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namsbc_clio
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namsbc_clio	(revision 3854)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namsbc_clio	(revision 3989)
@@ -1,4 +1,4 @@
 !-----------------------------------------------------------------------
-&namsbc_clio   !   namsbc_clio  CLIO bulk formulea
+&namsbc_clio   !   namsbc_clio  CLIO bulk formulae
 !-----------------------------------------------------------------------
 !              !  file name  ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation !
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namsbc_core
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namsbc_core	(revision 3854)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namsbc_core	(revision 3989)
@@ -1,16 +1,16 @@
 !-----------------------------------------------------------------------
-&namsbc_core   !   namsbc_core  CORE bulk formulea
+&namsbc_core   !   namsbc_core  CORE bulk formulae
 !-----------------------------------------------------------------------
-!              !  file name  ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation !
-!              !             !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  !
-   sn_wndi = 'u_10.15JUNE2009_orca2'       ,  6  , 'U_10_MOD',   .false.    , .true. , 'yearly'  , ''       , 'Uwnd'
-   sn_wndj = 'v_10.15JUNE2009_orca2'       ,  6  , 'V_10_MOD',   .false.    , .true. , 'yearly'  , ''       , 'Vwnd'
-   sn_qsr  = 'ncar_rad.15JUNE2009_orca2'   , 24  , 'SWDN_MOD',   .false.    , .true. , 'yearly'  , ''       , ''
-   sn_qlw  = 'ncar_rad.15JUNE2009_orca2'   , 24  , 'LWDN_MOD',   .false.    , .true. , 'yearly'  , ''       , ''
-   sn_tair = 't_10.15JUNE2009_orca2'       ,  6  , 'T_10_MOD',   .false.    , .true. , 'yearly'  , ''       , ''
-   sn_humi = 'q_10.15JUNE2009_orca2'       ,  6  , 'Q_10_MOD',   .false.    , .true. , 'yearly'  , ''       , ''
-   sn_prec = 'ncar_precip.15JUNE2009_orca2', -1  , 'PRC_MOD1',   .false.    , .true. , 'yearly'  , ''       , ''
-   sn_snow = 'ncar_precip.15JUNE2009_orca2', -1  , 'SNOW'    ,   .false.    , .true. , 'yearly'  , ''       , ''
-   sn_tdif = 'taudif_core'                 , 24  , 'taudif'  ,   .false.    , .true. , 'yearly'  , ''       , ''
+!              !  file name                    ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation !
+!              !                               !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  !
+   sn_wndi     = 'u_10.15JUNE2009_orca2'       ,         6         , 'U_10_MOD',   .false.    , .true. , 'yearly'  , ''       , 'Uwnd'
+   sn_wndj     = 'v_10.15JUNE2009_orca2'       ,         6         , 'V_10_MOD',   .false.    , .true. , 'yearly'  , ''       , 'Vwnd'
+   sn_qsr      = 'ncar_rad.15JUNE2009_orca2'   ,        24         , 'SWDN_MOD',   .false.    , .true. , 'yearly'  , ''       , ''
+   sn_qlw      = 'ncar_rad.15JUNE2009_orca2'   ,        24         , 'LWDN_MOD',   .false.    , .true. , 'yearly'  , ''       , ''
+   sn_tair     = 't_10.15JUNE2009_orca2'       ,         6         , 'T_10_MOD',   .false.    , .true. , 'yearly'  , ''       , ''
+   sn_humi     = 'q_10.15JUNE2009_orca2'       ,         6         , 'Q_10_MOD',   .false.    , .true. , 'yearly'  , ''       , ''
+   sn_prec     = 'ncar_precip.15JUNE2009_orca2',        -1         , 'PRC_MOD1',   .false.    , .true. , 'yearly'  , ''       , ''
+   sn_snow     = 'ncar_precip.15JUNE2009_orca2',        -1         , 'SNOW'    ,   .false.    , .true. , 'yearly'  , ''       , ''
+   sn_tdif     = 'taudif_core'                 ,        24         , 'taudif'  ,   .false.    , .true. , 'yearly'  , ''       , ''
 
    cn_dir      = './'      !  root directory for the location of the bulk files
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namsbc_cpl
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namsbc_cpl	(revision 3854)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namsbc_cpl	(revision 3989)
@@ -5,19 +5,19 @@
 !                    !                       ! categories !  reference  !    orientation       ! grids  !
 ! send
-sn_snd_temp   =       'weighted oce and ice' ,    'no'    ,     ''      ,         ''           ,   ''    
-sn_snd_alb    =       'weighted ice'         ,    'no'    ,     ''      ,         ''           ,   ''    
-sn_snd_thick  =       'none'                 ,    'no'    ,     ''      ,         ''           ,   ''    
-sn_snd_crt    =       'none'                 ,    'no'    , 'spherical' , 'eastward-northward' ,  'T'       
-sn_snd_co2    =       'coupled'              ,    'no'    ,     ''      ,         ''           ,   ''        
+sn_snd_temp   =       'weighted oce and ice' ,    'no'    ,     ''      ,         ''           ,   ''
+sn_snd_alb    =       'weighted ice'         ,    'no'    ,     ''      ,         ''           ,   ''
+sn_snd_thick  =       'none'                 ,    'no'   ,     ''      ,         ''           ,   ''
+sn_snd_crt    =       'none'                 ,    'no'    , 'spherical' , 'eastward-northward' ,  'T'
+sn_snd_co2    =       'coupled'              ,    'no'    ,     ''      ,         ''           ,   ''
 ! receive
-sn_rcv_w10m   =       'none'                 ,    'no'    ,     ''      ,         ''          ,   ''    
-sn_rcv_taumod =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''    
-sn_rcv_tau    =       'oce only'             ,    'no'    , 'cartesian' , 'eastward-northward',  'U,V'   
-sn_rcv_dqnsdt =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''    
-sn_rcv_qsr    =       'oce and ice'          ,    'no'    ,     ''      ,         ''          ,   ''    
-sn_rcv_qns    =       'oce and ice'          ,    'no'    ,     ''      ,         ''          ,   ''    
-sn_rcv_emp    =       'conservative'         ,    'no'    ,     ''      ,         ''          ,   ''    
-sn_rcv_rnf    =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''    
-sn_rcv_cal    =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''    
-sn_rcv_co2    =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''    
+sn_rcv_w10m   =       'none'                 ,    'no'    ,     ''      ,         ''          ,   ''
+sn_rcv_taumod =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''
+sn_rcv_tau    =       'oce only'             ,    'no'    , 'cartesian' , 'eastward-northward',  'U,V'
+sn_rcv_dqnsdt =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''
+sn_rcv_qsr    =       'oce and ice'          ,    'no'    ,     ''      ,         ''          ,   ''
+sn_rcv_qns    =       'oce and ice'          ,    'no'    ,     ''      ,         ''          ,   ''
+sn_rcv_emp    =       'conservative'         ,    'no'    ,     ''      ,         ''          ,   ''
+sn_rcv_rnf    =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''
+sn_rcv_cal    =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''
+sn_rcv_co2    =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''
 /
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namsbc_flx
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namsbc_flx	(revision 3854)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namsbc_flx	(revision 3989)
@@ -11,3 +11,3 @@
 
    cn_dir      = './'      !  root directory for the location of the flux files
-/      
+/
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namsbc_mfs
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namsbc_mfs	(revision 3854)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namsbc_mfs	(revision 3989)
@@ -10,5 +10,5 @@
    sn_tair     =   'ecmwf'   ,        6          , 't2'      ,    .true.    , .false. , 'daily'  ,'bicubic.nc' , ''
    sn_rhm      =   'ecmwf'   ,        6          , 'rh'      ,    .true.    , .false. , 'daily'  ,'bilinear.nc', ''
-   sn_prec     =   'precip'  ,        6          , 'precip'  ,    .true.    , .false. , 'daily'  ,'bicubic'    , ''
+   sn_prec     =   'ecmwf'   ,        6          , 'precip'  ,    .true.    , .true.  , 'daily'  ,'bicubic.nc' , ''
 
    cn_dir      = './ECMWF/'      !  root directory for the location of the bulk files
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namsbc_rnf
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namsbc_rnf	(revision 3854)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namsbc_rnf	(revision 3989)
@@ -2,11 +2,11 @@
 &namsbc_rnf    !   runoffs namelist surface boundary condition
 !-----------------------------------------------------------------------
-!              !  file name  ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation !
-!              !             !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  !
-   sn_rnf      = 'runoff_core_monthly',    -1    , 'sorunoff',   .true.     , .true. , 'yearly'  , ''       , ''
-   sn_cnf      = 'runoff_core_monthly',     0    , 'socoefr0',   .false.    , .true. , 'yearly'  , ''       , ''
-   sn_s_rnf    = 'runoffs'            ,    24    , 'rosaline',   .true.     , .true. , 'yearly'  , ''       , ''
-   sn_t_rnf    = 'runoffs'            ,    24    , 'rotemper',   .true.     , .true. , 'yearly'  , ''       , ''
-   sn_dep_rnf  = 'runoffs'            ,     0    , 'rodepth' ,   .false.    , .true. , 'yearly'  , ''       , ''
+!              !  file name           ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation !
+!              !                      !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  !
+   sn_rnf      = 'runoff_core_monthly',        -1         , 'sorunoff',   .true.     , .true. , 'yearly'  , ''       , ''
+   sn_cnf      = 'runoff_core_monthly',         0         , 'socoefr0',   .false.    , .true. , 'yearly'  , ''       , ''
+   sn_s_rnf    = 'runoffs'            ,        24         , 'rosaline',   .true.     , .true. , 'yearly'  , ''       , ''
+   sn_t_rnf    = 'runoffs'            ,        24         , 'rotemper',   .true.     , .true. , 'yearly'  , ''       , ''
+   sn_dep_rnf  = 'runoffs'            ,         0         , 'rodepth' ,   .false.    , .true. , 'yearly'  , ''       , ''
 
    cn_dir       = './'      !  root directory for the location of the runoff files
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namsbc_sas
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namsbc_sas	(revision 3854)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namsbc_sas	(revision 3989)
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namsbc_ssr
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namsbc_ssr	(revision 3854)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namsbc_ssr	(revision 3989)
@@ -9,9 +9,9 @@
    cn_dir      = './'      !  root directory for the location of the runoff files
    nn_sstr     =     0     !  add a retroaction term in the surface heat       flux (=1) or not (=0)
-   nn_sssr     =     2     !  add a damping     term in the surface freshwater flux (=2) 
+   nn_sssr     =     2     !  add a damping     term in the surface freshwater flux (=2)
                            !  or to SSS only (=1) or no damping term (=0)
    rn_dqdt     =   -40.    !  magnitude of the retroaction on temperature   [W/m2/K]
-   rn_deds     =   -27.7   !  magnitude of the damping on salinity   [mm/day]
+   rn_deds     =  -166.67  !  magnitude of the damping on salinity   [mm/day]
    ln_sssr_bnd =   .true.  !  flag to bound erp term (associated with nn_sssr=2)
    rn_sssr_bnd =   4.e0    !  ABS(Max/Min) value of the damping erp term [mm/day]
-/      
+/
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namsbc_wave
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namsbc_wave	(revision 3854)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namsbc_wave	(revision 3989)
@@ -4,5 +4,8 @@
 !              !  file name  ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation !
 !              !             !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  !
-   sn_cdg      =  'cdg_wave' ,        1          , 'drag_coeff' , .true.    , .false. , 'daily'  , ''       , ''
+   sn_cdg      =  'cdg_wave' ,        1          , 'drag_coeff' , .true.   , .false. , 'daily'  ,''         , ''
+   sn_usd      =  'sdw_wave' ,        1          , 'u_sd2d'     , .true.   , .false. , 'daily'  ,''         , ''
+   sn_vsd      =  'sdw_wave' ,        1          , 'v_sd2d'     , .true.   , .false. , 'daily'  ,''         , ''
+   sn_wn       =  'sdw_wave' ,        1          , 'wave_num'   , .true.   , .false. , 'daily'  ,''         , ''
 !
    cn_dir_cdg  = './'  !  root directory for the location of drag coefficient files
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namsol
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namsol	(revision 3854)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namsol	(revision 3989)
@@ -1,4 +1,4 @@
 !-----------------------------------------------------------------------
-&namsol        !   elliptic solver / island / free surface 
+&namsol        !   elliptic solver / island / free surface
 !-----------------------------------------------------------------------
    nn_solv     =      1    !  elliptic solver: =1 preconditioned conjugate gradient (pcg)
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namtra_adv
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namtra_adv	(revision 3854)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namtra_adv	(revision 3989)
@@ -1,10 +1,11 @@
 !-----------------------------------------------------------------------
-&namtra_adv    !   advection scheme for tracer 
+&namtra_adv    !   advection scheme for tracer
 !-----------------------------------------------------------------------
-   ln_traadv_cen2   =  .false.  !  2nd order centered scheme   
-   ln_traadv_tvd    =  .true.   !  TVD scheme                
-   ln_traadv_muscl  =  .false.  !  MUSCL scheme             
-   ln_traadv_muscl2 =  .false.  !  MUSCL2 scheme + cen2 at boundaries  
-   ln_traadv_ubs    =  .false.  !  UBS scheme                 
-   ln_traadv_qck    =  .false.  !  QUCIKEST scheme                 
+   ln_traadv_cen2   =  .false.  !  2nd order centered scheme
+   ln_traadv_tvd    =  .true.   !  TVD scheme
+   ln_traadv_muscl  =  .false.  !  MUSCL scheme
+   ln_traadv_muscl2 =  .false.  !  MUSCL2 scheme + cen2 at boundaries
+   ln_traadv_ubs    =  .false.  !  UBS scheme
+   ln_traadv_qck    =  .false.  !  QUICKEST scheme
+   ln_traadv_msc_ups=  .false.  !  use upstream scheme within muscl
 /
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namtra_bbc
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namtra_bbc	(revision 3854)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namtra_bbc	(revision 3989)
@@ -3,7 +3,7 @@
 !-----------------------------------------------------------------------
    ln_trabbc   = .true.    !  Apply a geothermal heating at the ocean bottom
-   nn_geoflx   =    2      !  geothermal heat flux: = 0 no flux 
+   nn_geoflx   =    2      !  geothermal heat flux: = 0 no flux
                            !     = 1 constant flux
-                           !     = 2 variable flux (read in geothermal_heating.nc in mW/m2) 
+                           !     = 2 variable flux (read in geothermal_heating.nc in mW/m2)
    rn_geoflx_cst = 86.4e-3 !  Constant value of geothermal heat flux [W/m2]
 /
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namtra_ldf
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namtra_ldf	(revision 3854)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namtra_ldf	(revision 3989)
@@ -22,3 +22,7 @@
    rn_ahtb_0        =     0.    !  background eddy diffusivity for ldf_iso [m2/s]
    !                                           (normally=0; not used with Griffies)
+   rn_slpmax        =     0.01  !  slope limit
+   rn_chsmag        =     1.    !  multiplicative factor in Smagorinsky diffusivity
+   rn_smsh          =     1.    !  Smagorinsky diffusivity: = 0 - use only sheer
+   rn_aht_m         =  2000.    !  upper limit or stability criteria for lateral eddy diffusivity (m2/s)
 /
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namtsd
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namtsd	(revision 3854)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namtsd	(revision 3989)
@@ -2,8 +2,8 @@
 &namtsd    !   data : Temperature  & Salinity
 !-----------------------------------------------------------------------
-!          ! file name ! frequency (hours)         ! variable     ! time interp. ! clim  !'yearly' or ! weights  ! rotation !
-!          !           !  (if <0  months)          !   name       !  (logical)   ! (T/F) ! 'monthly'  ! filename ! pairing  !
-   sn_tem  = 'data_1m_potential_temperature_nomask', -1,'votemper',  .true.      , .true., 'yearly'   , ' '      , ' '
-   sn_sal  = 'data_1m_salinity_nomask'             , -1,'vosaline',  .true.      , .true., 'yearly'   , ''       , ' '
+!          ! file name ! frequency (hours)    ! variable ! time interp. ! clim  !'yearly' or ! weights  ! rotation !
+!          !           !  (if <0  months)     !   name   !  (logical)   ! (T/F) ! 'monthly'  ! filename ! pairing  !
+   sn_tem  = 'data_1m_potential_temperature_nomask', -1,'votemper',  .true.  , .true., 'yearly'   , ' '      , ' '
+   sn_sal  = 'data_1m_salinity_nomask'             , -1,'vosaline',  .true.  , .true., 'yearly'   , ''       , ' '
    !
    cn_dir        = './'     !  root directory for the location of the runoff files
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namzdf_kpp
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namzdf_kpp	(revision 3854)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namzdf_kpp	(revision 3989)
@@ -2,11 +2,11 @@
 &namzdf_kpp    !   K-Profile Parameterization dependent vertical mixing  ("key_zdfkpp", and optionally:
 !------------------------------------------------------------------------ "key_kppcustom" or "key_kpplktb")
-   ln_kpprimix = .true.    !  shear instability mixing 
+   ln_kpprimix = .true.    !  shear instability mixing
    rn_difmiw   =  1.0e-04  !  constant internal wave viscosity [m2/s]
    rn_difsiw   =  0.1e-04  !  constant internal wave diffusivity [m2/s]
    rn_riinfty  =  0.8      !  local Richardson Number limit for shear instability
    rn_difri    =  0.0050   !  maximum shear mixing at Rig = 0    [m2/s]
-   rn_bvsqcon  = -0.01e-07 !  Brunt-Vaisala squared for maximum convection [1/s2] 
-   rn_difcon   =  1.       !  maximum mixing in interior convection [m2/s] 
+   rn_bvsqcon  = -0.01e-07 !  Brunt-Vaisala squared for maximum convection [1/s2]
+   rn_difcon   =  1.       !  maximum mixing in interior convection [m2/s]
    nn_avb      =  0        !  horizontal averaged (=1) or not (=0) on avt and amv
    nn_ave      =  1        !  constant (=0) or profile (=1) background on avt
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namzdf_tke
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namzdf_tke	(revision 3854)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namzdf_tke	(revision 3989)
@@ -7,4 +7,5 @@
    rn_emin     =   1.e-6   !  minimum value of tke [m2/s2]
    rn_emin0    =   1.e-4   !  surface minimum value of tke [m2/s2]
+   rn_bshear   =   1.e-20  ! background shear (>0) currently a numerical threshold (do not change it)
    nn_mxl      =   2       !  mixing length: = 0 bounded by the distance to surface and bottom
                            !                 = 1 bounded by the local vertical scale factor
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namzdf_tmx
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namzdf_tmx	(revision 3854)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namzdf_tmx	(revision 3989)
@@ -5,5 +5,5 @@
    rn_n2min    = 1.e-8     !  threshold of the Brunt-Vaisala frequency (s-1)
    rn_tfe      = 0.333     !  tidal dissipation efficiency
-   rn_me       = 0.2       !  mixing efficiency 
+   rn_me       = 0.2       !  mixing efficiency
    ln_tmx_itf  = .true.    !  ITF specific parameterisation
    rn_tfe_itf  = 1.        !  ITF tidal dissipation efficiency
